Last Comment Bug 555582 - [Mac default] folderPaneBox has wrong bgcolor when window is inactive
: [Mac default] folderPaneBox has wrong bgcolor when window is inactive
Status: RESOLVED FIXED
: fixed-seamonkey2.0.6
Product: SeaMonkey
Classification: Client Software
Component: Themes (show other bugs)
: SeaMonkey 2.0 Branch
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Stefan [:stefanh]
:
Mentors:
Depends on:
Blocks: smtabmail
  Show dependency treegraph
 
Reported: 2010-03-28 13:10 PDT by Stefan [:stefanh]
Modified: 2010-05-21 03:32 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix style rule, 191-only (733 bytes, patch)
2010-03-28 13:10 PDT, Stefan [:stefanh]
mnyromyr: review+
neil: superreview+
Details | Diff | Splinter Review
For check-in (comment #1 addressed) (712 bytes, patch)
2010-05-19 12:33 PDT, Stefan [:stefanh]
kairo: approval‑seamonkey2.0.6+
Details | Diff | Splinter Review

Description Stefan [:stefanh] 2010-03-28 13:10:16 PDT
Created attachment 435479 [details] [diff] [review]
Fix style rule, 191-only

This is a fallout from bug 460960, the style rule doesn't apply because of the new element structure in messenger.xul.
Comment 1 neil@parkwaycc.co.uk 2010-03-28 14:20:26 PDT
Comment on attachment 435479 [details] [diff] [review]
Fix style rule, 191-only

>-#messengerWindow:not([active="true"]) > #mailContent > #messengerBox > #folderPaneBox {
>+#messengerWindow:not([active="true"]) > #tabmail-container #folderPaneBox {
If you're going to use a descendant selector then there's no point specifying intermediate ancestors. sr=me with that fixed.
Comment 2 Stefan [:stefanh] 2010-05-19 12:33:40 PDT
Created attachment 446274 [details] [diff] [review]
For check-in (comment #1 addressed)

Fixes a quite visible ui-regression. This is 191-only, since we don't support the "active" attribute anymore on trunk (see bug 555508).

Note You need to log in before you can comment on or make changes to this bug.